org.apache.ignite.internal.processors.cluster

## Class DiscoveryDataClusterState

- java.lang.Object
- - org.apache.ignite.internal.processors.cluster.DiscoveryDataClusterState

All Implemented Interfaces:
  Serializable

    public class DiscoveryDataClusterState
    extends Object
    implements Serializable

Discovery data related to cluster state.

See Also:
  Serialized Form

### Method Summary

Methods
`boolean` `active()`
`void` `setTransitionResult(UUID reqId, boolean active)` Discovery cluster state is changed asynchronously by discovery message, this methods changes local status for public API calls.
`String` `toString()`
`boolean` `transition()`
`Set<UUID>` `transitionNodes()`
`UUID` `transitionRequestId()`
`Boolean` `transitionResult()`
`AffinityTopologyVersion` `transitionTopologyVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### transitionResult

    @Nullable
    public Boolean transitionResult()

Returns:
  Local flag for state transition result (global state is updated asynchronously by custom message).

#### setTransitionResult

    public void setTransitionResult(UUID reqId,
                           boolean active)

Discovery cluster state is changed asynchronously by discovery message, this methods changes local status for public API calls.

Parameters:
  `reqId` - Request ID.
  `active` - New cluster state.

#### transitionRequestId

    public UUID transitionRequestId()

Returns:
  State change request ID.

#### transition

    public boolean transition()

Returns:
  `True` if state change is in progress.

#### transitionTopologyVersion

    public AffinityTopologyVersion transitionTopologyVersion()

Returns:
  State change exchange version.

#### active

    public boolean active()

Returns:
  Current cluster state (or new state in case when transition is in progress).

#### transitionNodes

    public Set<UUID> transitionNodes()

Returns:
  Nodes participating in state change exchange.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017